E-MailRelay

Classes
GVerifiers Namespace Reference

Address verifier classes. More...

## Classes
class | ExecutableVerifier
| A Verifier that runs an executable. More...
class | InternalVerifier
| The standard internal Verifier that accepts all mailbox names. More...
class | NetworkVerifier
| A Verifier that talks to a remote address verifier over the network. More...
class | UserVerifier
| A concrete Verifier class that verifies against the password database (ie. More...
class | VerifierFactory
| A VerifierFactory implementation. More...

## Detailed Description

Address verifier classes.

The GVerifiers namespace contains classes for address verification.

Key classes are:

- VerifierFactory
- ExecutableVerifier